<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.8"/>
<title>Fittrack Weight Detection Module: API/inc/GPIO.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Fittrack Weight Detection Module
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.8 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('GPIO_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Modules</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">GPIO.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="GPIO_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef _GPIO_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define _GPIO_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">/* Includes ------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &quot;API.h&quot;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">/* Exported types ------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="GPIO_8h.html#a6affa5269f9de209c1b257a381a074fb">   16</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    INPUT = 0, OUTPUT = 1, ALTERNATIVE_FUNCTION = 2, ANALOG = 3</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;} <a class="code" href="GPIO_8h.html#a6affa5269f9de209c1b257a381a074fb">GPIOMode_t</a>;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="GPIO_8h.html#a43529df01e96a121b539143497deeb7b">   21</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    PUSH_PULL = 0, OPEN_DRAIN = 1</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;} <a class="code" href="GPIO_8h.html#a43529df01e96a121b539143497deeb7b">GPIOType_t</a>;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="GPIO_8h.html#acbe70da23cdb140ac415014d1417e079">   26</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    GPIO_SPEED_400kHz = 0,</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    GPIO_SPEED_2MHz = 1,</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    GPIO_SPEED_10MHz = 2,</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    GPIO_SPEED_40MHz = 3,</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;} <a class="code" href="GPIO_8h.html#acbe70da23cdb140ac415014d1417e079">GPIOSpeed_t</a>;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="GPIO_8h.html#acd9a2420c1f8a0bbf1205e758144fc11">   34</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    NO_PULL = 0, PULL_UP = 1, PULL_DOWN = 2</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;} <a class="code" href="GPIO_8h.html#acd9a2420c1f8a0bbf1205e758144fc11">GPIOPull_t</a>;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div>
<div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">   39</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    ALTERNATIVE_FUNCTION_0 = 0,</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    ALTERNATIVE_FUNCTION_1 = 1,</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    ALTERNATIVE_FUNCTION_2 = 2,</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    ALTERNATIVE_FUNCTION_3 = 3,</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    ALTERNATIVE_FUNCTION_4 = 4,</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    ALTERNATIVE_FUNCTION_5 = 5,</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    ALTERNATIVE_FUNCTION_6 = 6,</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    ALTERNATIVE_FUNCTION_7 = 7</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;} <a class="code" href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">GPIOAlternativeFunction_t</a>;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="structGPIOInstance__s.html">   51</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structGPIOInstance__s.html">GPIOInstance_s</a> {</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    GPIO_TypeDef * GPIOX; </div>
<div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="structGPIOInstance__s.html#afe6007e487512e7ca1a066f722207948">   53</a></span>&#160;    uint32_t <a class="code" href="structGPIOInstance__s.html#afe6007e487512e7ca1a066f722207948">GPIOX_Pin</a>; </div>
<div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="structGPIOInstance__s.html#a522ceef5fc75e7b4556d7bfaf2dc1af2">   54</a></span>&#160;    <a class="code" href="GPIO_8h.html#a6affa5269f9de209c1b257a381a074fb">GPIOMode_t</a> <a class="code" href="structGPIOInstance__s.html#a522ceef5fc75e7b4556d7bfaf2dc1af2">GPIOX_Mode</a>; </div>
<div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="structGPIOInstance__s.html#a33fb015cc136e93640423fe724d14177">   55</a></span>&#160;    <a class="code" href="GPIO_8h.html#a43529df01e96a121b539143497deeb7b">GPIOType_t</a> <a class="code" href="structGPIOInstance__s.html#a33fb015cc136e93640423fe724d14177">GPIOX_Type</a>; </div>
<div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="structGPIOInstance__s.html#a7932939d4c527d961b4f9dd75ef164a9">   56</a></span>&#160;    <a class="code" href="GPIO_8h.html#acbe70da23cdb140ac415014d1417e079">GPIOSpeed_t</a> <a class="code" href="structGPIOInstance__s.html#a7932939d4c527d961b4f9dd75ef164a9">GPIOX_Speed</a>; </div>
<div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="structGPIOInstance__s.html#a944734d11ef162cad82d2bbc17cdce68">   57</a></span>&#160;    <a class="code" href="GPIO_8h.html#acd9a2420c1f8a0bbf1205e758144fc11">GPIOPull_t</a> <a class="code" href="structGPIOInstance__s.html#a944734d11ef162cad82d2bbc17cdce68">GPIOX_Pull</a>; </div>
<div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="structGPIOInstance__s.html#a0191b4f5200120529db7680bddc766d3">   59</a></span>&#160;    <a class="code" href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">GPIOAlternativeFunction_t</a> <a class="code" href="structGPIOInstance__s.html#a0191b4f5200120529db7680bddc766d3">GPIOX_AlternativeFunction</a>;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    uint8_t GPIOX_ADC_Channel;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;} <a class="code" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a>;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PA0;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PA1;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PA2;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PA3;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PA4;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PA5;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PA6;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PA7;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PA8;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PA9;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PA10;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PA11;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PA12;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PA13;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PA14;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PA15;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PB0;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PB1;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PB3;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PB4;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PB5;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PB6;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PB7;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PB9;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PC14;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="keyword">extern</span> <a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> PC15;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="comment">/* Exported constants --------------------------------------------------------*/</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="comment">/* Exported macro ------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="comment">/* Exported functions ------------------------------------------------------- */</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="GPIO_8h.html#a885c93e9837729510e85129e4ac82a86">GPIO_Init</a>(<a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> * GPIOInstance);</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="GPIO_8h.html#a55274c05fa9e816b7d0567799f2adda3">GPIO_DeInit</a>(<a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> * GPIOInstance);</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="GPIO_8h.html#a183d1dc00b66e06267fc01ea2d9395e4">SetDO</a>(<a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> * GPIOInstance, uint8_t bitVal);</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="keyword">extern</span> uint8_t <a class="code" href="GPIO_8h.html#a86c036aa80b88e113e5783aa9f06a2b3">GetDI</a>(<a class="code" href="structGPIOInstance__s.html">GPIOInstance_t</a> * GPIOInstance);</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* _GPIO_H */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div>
<div class="ttc" id="structGPIOInstance__s_html_a7932939d4c527d961b4f9dd75ef164a9"><div class="ttname"><a href="structGPIOInstance__s.html#a7932939d4c527d961b4f9dd75ef164a9">GPIOInstance_s::GPIOX_Speed</a></div><div class="ttdeci">GPIOSpeed_t GPIOX_Speed</div><div class="ttdoc">Port-Pin-Type. </div><div class="ttdef"><b>Definition:</b> GPIO.h:56</div></div>
<div class="ttc" id="structGPIOInstance__s_html_afe6007e487512e7ca1a066f722207948"><div class="ttname"><a href="structGPIOInstance__s.html#afe6007e487512e7ca1a066f722207948">GPIOInstance_s::GPIOX_Pin</a></div><div class="ttdeci">uint32_t GPIOX_Pin</div><div class="ttdoc">GPIO - Typedef provided by ST. </div><div class="ttdef"><b>Definition:</b> GPIO.h:53</div></div>
<div class="ttc" id="GPIO_8h_html_a6affa5269f9de209c1b257a381a074fb"><div class="ttname"><a href="GPIO_8h.html#a6affa5269f9de209c1b257a381a074fb">GPIOMode_t</a></div><div class="ttdeci">GPIOMode_t</div><div class="ttdoc">enum for the Mode of a GPIO Port-Pin </div><div class="ttdef"><b>Definition:</b> GPIO.h:16</div></div>
<div class="ttc" id="GPIO_8h_html_acbe70da23cdb140ac415014d1417e079"><div class="ttname"><a href="GPIO_8h.html#acbe70da23cdb140ac415014d1417e079">GPIOSpeed_t</a></div><div class="ttdeci">GPIOSpeed_t</div><div class="ttdoc">enum for the speed of a GPIO Port-Pin </div><div class="ttdef"><b>Definition:</b> GPIO.h:26</div></div>
<div class="ttc" id="GPIO_8h_html_acd9a2420c1f8a0bbf1205e758144fc11"><div class="ttname"><a href="GPIO_8h.html#acd9a2420c1f8a0bbf1205e758144fc11">GPIOPull_t</a></div><div class="ttdeci">GPIOPull_t</div><div class="ttdoc">enum for the pull-method of a GPIO Port-Pin </div><div class="ttdef"><b>Definition:</b> GPIO.h:34</div></div>
<div class="ttc" id="GPIO_8h_html_a86c036aa80b88e113e5783aa9f06a2b3"><div class="ttname"><a href="GPIO_8h.html#a86c036aa80b88e113e5783aa9f06a2b3">GetDI</a></div><div class="ttdeci">uint8_t GetDI(GPIOInstance_t *GPIOInstance)</div><div class="ttdoc">Get the input value of a GPIO pin. </div><div class="ttdef"><b>Definition:</b> GPIO.c:150</div></div>
<div class="ttc" id="structGPIOInstance__s_html"><div class="ttname"><a href="structGPIOInstance__s.html">GPIOInstance_s</a></div><div class="ttdoc">structure for a GPIO Port-Pin </div><div class="ttdef"><b>Definition:</b> GPIO.h:51</div></div>
<div class="ttc" id="GPIO_8h_html_a43529df01e96a121b539143497deeb7b"><div class="ttname"><a href="GPIO_8h.html#a43529df01e96a121b539143497deeb7b">GPIOType_t</a></div><div class="ttdeci">GPIOType_t</div><div class="ttdoc">enum for the type of a GPIO Port-Pin </div><div class="ttdef"><b>Definition:</b> GPIO.h:21</div></div>
<div class="ttc" id="structGPIOInstance__s_html_a944734d11ef162cad82d2bbc17cdce68"><div class="ttname"><a href="structGPIOInstance__s.html#a944734d11ef162cad82d2bbc17cdce68">GPIOInstance_s::GPIOX_Pull</a></div><div class="ttdeci">GPIOPull_t GPIOX_Pull</div><div class="ttdoc">Port-Pin-Speed. </div><div class="ttdef"><b>Definition:</b> GPIO.h:57</div></div>
<div class="ttc" id="GPIO_8h_html_a183d1dc00b66e06267fc01ea2d9395e4"><div class="ttname"><a href="GPIO_8h.html#a183d1dc00b66e06267fc01ea2d9395e4">SetDO</a></div><div class="ttdeci">void SetDO(GPIOInstance_t *GPIOInstance, uint8_t bitVal)</div><div class="ttdoc">Set the output of a GPIO pin. </div><div class="ttdef"><b>Definition:</b> GPIO.c:135</div></div>
<div class="ttc" id="GPIO_8h_html_a03fa898306cc8d6b228bcd458bbd90f1"><div class="ttname"><a href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a></div><div class="ttdeci">struct GPIOInstance_s GPIOInstance_t</div><div class="ttdoc">structure for a GPIO Port-Pin </div></div>
<div class="ttc" id="structGPIOInstance__s_html_a522ceef5fc75e7b4556d7bfaf2dc1af2"><div class="ttname"><a href="structGPIOInstance__s.html#a522ceef5fc75e7b4556d7bfaf2dc1af2">GPIOInstance_s::GPIOX_Mode</a></div><div class="ttdeci">GPIOMode_t GPIOX_Mode</div><div class="ttdoc">Pin-Number of the Port-Pin. </div><div class="ttdef"><b>Definition:</b> GPIO.h:54</div></div>
<div class="ttc" id="structGPIOInstance__s_html_a0191b4f5200120529db7680bddc766d3"><div class="ttname"><a href="structGPIOInstance__s.html#a0191b4f5200120529db7680bddc766d3">GPIOInstance_s::GPIOX_AlternativeFunction</a></div><div class="ttdeci">GPIOAlternativeFunction_t GPIOX_AlternativeFunction</div><div class="ttdoc">Port-Pin-Pull method. </div><div class="ttdef"><b>Definition:</b> GPIO.h:59</div></div>
<div class="ttc" id="GPIO_8h_html_a70f54b43315695802f19dde322387cee"><div class="ttname"><a href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">GPIOAlternativeFunction_t</a></div><div class="ttdeci">GPIOAlternativeFunction_t</div><div class="ttdoc">enum for the alternative-function of a GPIO Port-Pin </div><div class="ttdef"><b>Definition:</b> GPIO.h:39</div></div>
<div class="ttc" id="structGPIOInstance__s_html_a33fb015cc136e93640423fe724d14177"><div class="ttname"><a href="structGPIOInstance__s.html#a33fb015cc136e93640423fe724d14177">GPIOInstance_s::GPIOX_Type</a></div><div class="ttdeci">GPIOType_t GPIOX_Type</div><div class="ttdoc">Pin-Number of the Port-Pin. </div><div class="ttdef"><b>Definition:</b> GPIO.h:55</div></div>
<div class="ttc" id="GPIO_8h_html_a885c93e9837729510e85129e4ac82a86"><div class="ttname"><a href="GPIO_8h.html#a885c93e9837729510e85129e4ac82a86">GPIO_Init</a></div><div class="ttdeci">void GPIO_Init(GPIOInstance_t *GPIOInstance)</div><div class="ttdoc">Initialize a GPIO instance. </div><div class="ttdef"><b>Definition:</b> GPIO.c:80</div></div>
<div class="ttc" id="GPIO_8h_html_a55274c05fa9e816b7d0567799f2adda3"><div class="ttname"><a href="GPIO_8h.html#a55274c05fa9e816b7d0567799f2adda3">GPIO_DeInit</a></div><div class="ttdeci">void GPIO_DeInit(GPIOInstance_t *GPIOInstance)</div><div class="ttdoc">Disable the GPIO clock. </div><div class="ttdef"><b>Definition:</b> GPIO.c:119</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_19ea4dbfe8f0e4681f60b9b97f7b5d11.html">API</a></li><li class="navelem"><a class="el" href="dir_32e58a8feb8ca9706cceffd71c9f448f.html">inc</a></li><li class="navelem"><a class="el" href="GPIO_8h.html">GPIO.h</a></li>
    <li class="footer">Generated on Mon Aug 29 2016 12:25:43 for Fittrack Weight Detection Module by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.8 </li>
  </ul>
</div>
</body>
</html>
